Summary: TACACS+ protocol client library and PAM module in C
Name: pam-tacplus
Version: 1.0
Release: r0.0
License: GPLv2
Group: Utilities/System
Packager: Wind River <info@windriver.com>
URL: https://github.com/jeroennijhof/pam_tacplus
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
BuildRequires: libpam
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libpam.so.0()(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libtac.so.2()(64bit)
Requires: libc.so.6()(64bit)
Requires: libdl.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libpam.so.0(LIBPAM_1.0)(64bit)
Requires: libpam >= 1.1.6
Provides: libtac.so.2()(64bit)
Provides: elf(buildid) = 3291e04220c81c8076aa6545e4690f98136ec014
Provides: elf(buildid) = 19ea1cfb203cce6d122e650ef17fbd3b43a43e08
Provides: pam_tacplus.so()(64bit)

%description
TACACS+ protocol client library and PAM module in C. This PAM module
support authentication,                       authorization (account
management) and accounting (session management)performed using
TACACS+ protocol designed by Cisco.

%package -n pam-tacplus-dbg
Summary: TACACS+ protocol client library and PAM module in C - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libpam-dbg
Recommends: pam-tacplus = 1.0-r0.0

%description -n pam-tacplus-dbg
TACACS+ protocol client library and PAM module in C. This PAM module
support authentication,                       authorization (account
management) and accounting (session management)performed using
TACACS+ protocol designed by Cisco.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n pam-tacplus-staticdev
Summary: TACACS+ protocol client library and PAM module in C - Development files (Static Libraries)
Group: devel
Requires: pam-tacplus-dev = 1.0-r0.0

%description -n pam-tacplus-staticdev
TACACS+ protocol client library and PAM module in C. This PAM module
support authentication,                       authorization (account
management) and accounting (session management)performed using
TACACS+ protocol designed by Cisco.  This package contains static libraries
for software development.

%package -n pam-tacplus-dev
Summary: TACACS+ protocol client library and PAM module in C - Development files
Group: devel
Requires: pam-tacplus = 1.0-r0.0
Suggests: libpam-dev
Suggests: libc6-dev

%description -n pam-tacplus-dev
TACACS+ protocol client library and PAM module in C. This PAM module
support authentication,                       authorization (account
management) and accounting (session management)performed using
TACACS+ protocol designed by Cisco.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n pam-tacplus-doc
Summary: TACACS+ protocol client library and PAM module in C - Documentation files
Group: doc

%description -n pam-tacplus-doc
TACACS+ protocol client library and PAM module in C. This PAM module
support authentication,                       authorization (account
management) and accounting (session management)performed using
TACACS+ protocol designed by Cisco.  This package contains documentation.

%package -n pam-tacplus-locale
Summary: TACACS+ protocol client library and PAM module in C
Group: Utilities/System

%description -n pam-tacplus-locale
TACACS+ protocol client library and PAM module in C. This PAM module
support authentication,                       authorization (account
management) and accounting (session management)performed using
TACACS+ protocol designed by Cisco.

%files
%defattr(-,-,-,-)
%dir "/lib"
%dir "/lib/security"
%dir "/lib/pkgconfig"
"/lib/libtac.so.2"
"/lib/libtac.so.2.0.0"
"/lib/libtac.la"
"/lib/security/pam_tacplus.so"
"/lib/pkgconfig/libtac.pc"

%files -n pam-tacplus-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/pam-tacplus"
%dir "/usr/src/debug/pam-tacplus/1.0-r0"
%dir "/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0"
%dir "/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/support.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/support.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/pam_tacplus.c"
%dir "/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/include"
%dir "/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/include/libtac.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/include/tacplus.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/hdr_check.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/xalloc.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/author_r.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/md5.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/crypt.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/acct_s.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/header.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/attrib.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/md5.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/authen_s.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/magic.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/connect.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/messages.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/version.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/magic.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/read_wait.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/acct_r.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/author_s.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/cont_s.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/authen_r.c"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/messages.h"
"/usr/src/debug/pam-tacplus/1.0-r0/pam-tacplus-1.0/libtac/lib/xalloc.c"
%dir "/lib/.debug"
%dir "/lib/security"
"/lib/.debug/libtac.so.2.0.0"
%dir "/lib/security/.debug"
"/lib/security/.debug/pam_tacplus.so"

%files -n pam-tacplus-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/include/libtac"
"/usr/include/libtac/libtac.h"
"/usr/include/libtac/tacplus.h"
"/usr/include/libtac/cdefs.h"

%files -n pam-tacplus-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/doc/pam_tacplus"
"/usr/share/doc/pam_tacplus/sample.pam"

